axis([-0.1 1.1 -1.1 1.1])
grid on
ylabel('mean(opinions)'), xlabel('mean(abs(opinions))')

set(gca, 'FontSize', 27)
title('Agreement Plot', 'fontsize', 33)

if id_model == 1
            % If the  model is Bounded Confidence
            LocalParameters = [55 133 2809 2842 30];
            LocalDigraphs = [];
        elseif id_model == 2
            % If the  model is BEBA
            LocalParameters = [30 1268 133 2809 2842];
            LocalDigraphs = [3 8 5 1];
        elseif id_model == 3
            % If the  model is Classification-based
            LocalParameters = [2382 1633 457 2809];
            LocalDigraphs = [13 38 23 3];
        elseif id_model == 4
            % If the  model is Friedkin-Johnsen
            LocalParameters = [55 30 2842 2626];
            LocalDigraphs = [13 38 23 3];
end

ap_text = find(id_paramterer==LocalParameters);
if ~isnan(ap_text)
    text(0, 0.9, [ ModelLabel ' AP = ' num2str(ap_text)], 'fontsize', 27, 'FontWeight','bold', 'BackgroundColor','white')
end

local_network_id = find(id_network==LocalDigraphs);
if ~isnan(local_network_id)
        text(0, -0.9, DigraphLabel(id_network, id_model), 'fontsize', 27, 'FontWeight','bold', 'BackgroundColor','white')
end






